%define anolis_release 3

Name:           libwpe
Version:        1.14.0
Release:        %{anolis_release}%{?dist}
Summary:        General-purpose library for the WPE-flavored port of WebKit
License:        BSD
URL:            https://github.com/WebPlatformForEmbedded/%{name}
Source0:        https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++ meson pkgconfig(egl) pkgconfig(xkbcommon)

%description
%{summary}.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{EVR}

%description   devel
The developments of %{summary}. It contains libraries, build data, and header for developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n libwpe-%{version}

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libwpe-1.0.so.1.*
%{_libdir}/libwpe-1.0.so.1
%{abidir}/libwpe-1.0.dump

%files devel
%{_includedir}/wpe-1.0/
%{_libdir}/libwpe-1.0.so
%{_libdir}/pkgconfig/wpe-1.0.pc

%files doc
%doc NEWS docs/*

%changelog
* Mon Apr 10 2923 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.14-0-3
- optimize spec

* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.14-0-2
- optimize spec

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.0-1
- update to 1.14.0

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.12.0-1
- Init from upstream version 1.12.0

